6 Replies Latest reply on Aug 29, 2015 3:59 PM by John Sipher

    Wildfly 8.2.1 on IBM AIX

    Cristiano Andrade Newbie

      Hi All,

       

      I'm trying to deploy an application on Wildfly 8.2.1 running with IBM AIX. When the server is deploying i got the error below:

       

      at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1904) [jboss-msc-1.2.2.Final.jar:1.2.2.Final]

          at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1153) [rt.jar:1.8.0]

          at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628) [rt.jar:1.8.0]

          at java.lang.Thread.run(Thread.java:785) [vm.jar:1.8.0]

      Caused by: java.lang.IncompatibleClassChangeError

          at java.security.AccessController.doPrivileged(AccessController.java:503) [vm.jar:1.8.0]

          at org.jboss.weldx.transaction.UserTransaction$701528462$Proxy$_$$_Weld$Proxy$.<clinit>(Unknown Source)

          at java.lang.J9VMInternals.newInstanceImpl(Native Method) [vm.jar:1.8.0]

          at java.lang.Class.newInstance(Class.java:1932) [vm.jar:1.8.0]

          at org.jboss.weld.security.NewInstanceAction.run(NewInstanceAction.java:33)

          at java.security.AccessController.doPrivileged(AccessController.java:559) [vm.jar:1.8.0]

          at org.jboss.weld.bean.proxy.ProxyFactory.create(ProxyFactory.java:303)

          at org.jboss.weld.bean.builtin.ee.AbstractEEBean.<init>(AbstractEEBean.java:36)

          at org.jboss.weld.bean.builtin.ee.UserTransactionBean.<init>(UserTransactionBean.java:50)

          at org.jboss.weld.bootstrap.BeanDeployment.createBeans(BeanDeployment.java:251)

          at org.jboss.weld.bootstrap.WeldStartup.deployBeans(WeldStartup.java:386)

          at org.jboss.weld.bootstrap.WeldBootstrap.deployBeans(WeldBootstrap.java:83)

          at org.jboss.as.weld.WeldStartService.start(WeldStartService.java:92)

          at org.jboss.msc.service.ServiceControllerImpl$StartTask.startService(ServiceControllerImpl.java:1948) [jboss-msc-1.2.2.Final.jar:1.2.2.Final]

          at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1881) [jboss-msc-1.2.2.Final.jar:1.2.2.Final]

          ... 3 more

       

      Is Wildfly compatible with IBM AIX ?

       

      Thanks

      Cristiano

        • 1. Re: Wildfly 8.2.1 on IBM AIX
          John Sipher Newbie

          I have the exact same issue with WildFly 8.2.0.Final. Any suggestions would be appreciated.

          • 2. Re: Wildfly 8.2.1 on IBM AIX
            Tomaz Cerar Master

            Anything different if you try with Wildfly 9.0.1 or 10 Beta2?

            Also are you using latest version JDK?

            • 3. Re: Wildfly 8.2.1 on IBM AIX
              John Sipher Newbie

              Java version information is:

              $ java -version

              java version "1.8.0"

              Java(TM) SE Runtime Environment (build pap6480sr1fp10ifix-20150723_01(SR1 FP10+IV75420))

              IBM J9 VM (build 2.8, JRE 1.8.0 AIX ppc64-64 Compressed References 20150722_258693 (JIT enabled, AOT enabled)

              J9VM - R28_jvm.28_20150722_1718_B258693

              JIT  - tr.r14.java_20150625_95081.02

              GC   - R28_jvm.28_20150722_1718_B258693_CMPRSS

              J9CL - 20150722_258693)

              JCL - 20150711_01 based on Oracle jdk8u51-b15

              $

               

              I also tried an older Java 7 JRE with the same result.

               

              WildFly 10.0.0.Beta2 does not have the problem. In my case I have to use 8.2.0.Final. We're at the end of a release cycle and we've done all our testing to date with 8.2.0.Final. The upgrade from  JBoss 7.2.0.Final to WildFly 8.2.0.Final was a frustrating and difficult process and we finally have things working well with LInux and Windows only to find that we have another issue with AIX. Any guidance you could provide on changes I might be able to back port from 10.0.0.Beta2 to 8.2.0.Final would be appreciated.

              • 4. Re: Wildfly 8.2.1 on IBM AIX
                Tomaz Cerar Master

                Well it looks like the upgrade of Weld fixed it.

                Now we would need to narrow it down at what version of Weld is the first with a fix.

                 

                Maybe try also with WildFly 9.0.1.Final, as i think it should have it fixed as well.

                 

                This way change log to consider will be smaller.

                • 5. Re: Wildfly 8.2.1 on IBM AIX
                  John Sipher Newbie

                  The first version that it works with is WildFly 9.0.0.Final.

                  • 6. Re: Wildfly 8.2.1 on IBM AIX
                    John Sipher Newbie

                    It looks like we can fix it by copying the Weld implementation from 9.0.0.Final to 8.2.0.Final. We'll have to do some more testing to verify that it doesn't cause any new problems, but so far it looks OK.

                     

                    cp -Rf /tmp/wildfly-9.0.0.Final/modules/system/layers/base/org/jboss/weld /tmp/wildfly-8.2.1.Final/modules/system/layers/base/org/jboss

                     

                    Thanks for the suggestions Tomaz! Once you pointed me at Weld the solution became pretty easy.